BUILT_SOURCES=ric_rc.c ric_rc.h
lang_DATA=librdrric.cat librdrric_cp1251.cat librdrric_utf-8.cat librdrric_iso8859-5.cat librdrric_cp866.cat librdrric_koi8-r.cat
SOURCES=osc_reg.c oscchp.c oscuform.c \
        ric_clos.c ric_con.c ric_dup.c ric_free.c \
        ric_inst.c ric_int.h ric_limit.c ric_log.c ric_lout.c \
        ric_pch.c ric_prj.c ric_prj.h \
        ric_uni.c ric_unreg.c ric_vpin.c \
        ricuni.c ric_int.h mag_is_impl.h \
        osc2_flen.c osc2_is.c osc2_offs.c osc2ids.c \
        ric_is.c osc_is.c ric_fop.c ric_rd.c ric_open.c \
        ric_reg.c oscids.c ricchp.c ric_wr.c ricuform.c ricsf.c \
        mag_con.c mag_fld.c mag_fop.c \
        mag_is.c mag_is_impl.h mag_lout.c \
        mag_open.c mag_reg.c \
        mag_sf.c mag_uform.c mag_uni.c mag_unig.c\
	../version.c


add_ldflags=
add_ldflags+=-lpthread
out=librdrric

all: $(out).so.4.0.5 $(out).so.4 $(out).so $(lang_DATA)
OBJS=	osc_reg.o oscchp.o oscuform.o \
	ric_clos.o ric_con.o ric_dup.o ric_free.o \
	ric_inst.o ric_limit.o ric_log.o ric_lout.o \
	ric_pch.o ric_prj.o\
	ric_uni.o ric_unreg.o ric_vpin.o \
	ricuni.o \
	osc2_flen.o osc2_is.o osc2_offs.o osc2ids.o \
	ric_is.o osc_is.o ric_fop.o ric_rd.o ric_open.o \
	ric_reg.o oscids.o ricchp.o ric_wr.o ricuform.o ricsf.o \
	mag_con.o mag_fld.o mag_fop.o \
	mag_is.o mag_lout.o \
	mag_open.o mag_reg.o \
	mag_sf.o mag_uform.o mag_uni.o mag_unig.o ric_rc.o version.o

$(OBJS): $(SOURCES) $(BUILT_SOURCES)

$(BUILT_SOURCES) $(lang_DATA): Win32/ric_rc.rc ../copyex/derc_dist.sh ../copyex/localize_dist.sh
	../copyex/derc_dist.sh Win32/ric_rc.rc Version.Win32.rc ric_prj.h Win32 RIC ./ric_rc

include ../rdk.mk
